# About the Agaric Pattern Library & Style Guide

## Set up

#### Use the right version of node with:
`nvm use`

_This command will look at your `.nvmrc` file and use the version node.js specified in it. This ensures all developers use the same version of node for consistency._

#### If that version of node isn't installed, install it with:
`nvm install`

#### Install npm dependencies with
`npm install`

_This command looks at `package.json` and installs all the npm dependencies specified in it.  Some of the dependencies include gulp, autoprefixer, gulp-sass and others._

## Contents

The `agaric` folder contains the styles, as Sass .scss files, that we expect to be applicable to all Agaric-branded web applications.

### Markup examples and static layouts

See `styleguide/index.html` for project info.
